﻿@using SportsClub.Areas.Dashboard.Models
@model AccountInsuranceViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='AccountSettings'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Insurance
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <fieldset>
        <legend>Certificate of insurance</legend>
        <div class="message">
            <span>If you have a certificate of insurance (COI) for your organization, you can upload it.</span>
            <br />
            <br />
            <span>Notes for a successful & correct upload of the file(s):</span>
            <ul class="ul-square" style="margin-top:5px;">

                <li><span>Each insurance form has to be uploaded by pressing the "Add New Certificate" button, then selecting that form's respective county.</span></li>
                <li><span>Always press the green “SAVE” button. If you do not press the green “SAVE” button after uploading and navigate away from the page, your files will not complete their upload to our system.</span></li>

            </ul>
        </div>

        <div ng-repeat="certificate in Model.Certificates" ng-init="certificateIndex = $index">
            <div class="clearfix"></div>


            <label class="req-star">Insurance type</label>
            <div class="input-control select" data-role="input-control" @Html.AngValidationClass("Certificates['+certificateIndex+'].SelectedCertificate")>
                <div @Html.AngTooltipValidation("Certificates['+certificateIndex+'].SelectedCertificate")>
                    <select ng-options="obj.Value as obj.Text for obj in certificate.CertificateTypes"
                            ng-model="certificate.SelectedCertificate">
                        <option value="">Select insurance type</option>
                    </select>
                </div>
            </div>

            <div ng-show="certificate.SelectedCertificate!='0'">
                <br />
                <label class="req-star">Certificate of insurance files</label>
                <span class="place-right program-days-error">@Html.AngValidation("Certificates['+certificateIndex+'].SelectedFiles")</span>
                <br />
                <div ng-repeat="fileinput in certificate.CertificateFileNames" ng-init="fileIndex = $index">


                    <span style="font-weight:bold">{{fileinput}}</span>
                    <a class="place-right remove btn-gray" href="{{certificate.CertificateFileURLs[fileIndex]}}" download="">Download</a>
                    @*<button class="small button info place-right" ng-click="removeFile(fileIndex,certificateIndex)">Remove</button>*@
                    <br />
                    <div class="clearfix"></div>

                </div>

                <div class="clearfix"></div>
                <div ng-if="!JbForm.ConfirmMode" class="JbForm">
                    <input ng-disabled="isDisabled_{{certificateIndex}}" name="files"
                           type="file"
                           k-multiple="false"
                           kendo-upload
                           k-options="KendoUploadOptions" 
                           k-async="{ saveUrl: '/KendoEditorFiles/UploadImageOrPdf?location=/InsuranceForm/'+'/&index='+{{certificateIndex}}, }" />
                </div>


            </div>

            <br />
            <button class="place-right remove" type="button" ng-click="removeTo(certificateIndex)">Remove certificate</button>
        </div>

        <br />

        @*<button class="place-right remove" type="button" ng-click="removeTo(certificateIndex)">Remove certificate</button>*@

        <div class="clearfix"></div>
        <hr />


        <label class="req-star" ng-show="hasCertiicate">Policy expiration date</label>
        <div class="input-control date-time" @Html.AngValidationClass("PolicyExpirationDate") ng-show="hasCertiicate">
            <input kendo-date-picker ng-model="@Html.Ang(m => m.PolicyExpirationDate)" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" @Html.AngTooltipValidation("PolicyExpirationDate") />
        </div>
        <br />

        <button class="place-right default" type="button" ng-click="addTo()">Add new certificate</button>

    </fieldset>

    <div class="clearfix"></div>
    <hr />
    <button ngaction="Settings_Account_Save" class="success large place-right" ng-click="save()">Save</button>

    <a class="place-left button link large" ui-sref='AdvanceSetting'>Cancel</a>

    <div class="clearfix"></div>
</div>
